> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.propexo.com/api-reference/resman/leases/get-all-leases/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server. # Get all leases GET https://api.propexo.com/v1/leases/ Get all leases Reference: https://docs.propexo.com/api-reference/resman/leases/get-all-leases ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.propexo.com` (Production, default) - `https://api.sandbox.propexo.com` (Sandbox) ## Request ### Query parameters - `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc - `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z) - `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z) - `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z) - `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z) - `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results - `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query - `x_id` (string, optional) — The external lease id - `x_property_id` (string, optional) — Deprecated: Use the Propexo property_id instead - `x_unit_id` (string, optional) — Deprecated: Use the Propexo unit_id instead - `location_id` (string, optional) — The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations. - `unit_id` (string, optional) — The Propexo unique identifier for the unit - `resident_id` (string, optional) — The Propexo unique identifier for the resident. If you use this filter in conjunction with one of the move-in/move-out date filters, it will not be honored and will be overridden by the date filter. - `property_id` (string, optional) — The Propexo unique identifier for the property - `integration_id` (string, optional) — The Propexo unique identifier for the integration - `before_move_in_date` (string, optional, nullable) — Filter to residents moving in before this date. Format: YYYY-MM-DD. Date filter combinations will act with AND logic on a single record. - `after_move_in_date` (string, optional, nullable) — Filter to residents moving in after this date. Format: YYYY-MM-DD. Date filter combinations will act with AND logic on a single record. - `before_move_out_date` (string, optional, nullable) — Filter to residents moving out before this date. Format: YYYY-MM-DD. Date filter combinations will act with AND logic on a single record. - `after_move_out_date` (string, optional, nullable) — Filter to residents moving out after this date. Format: YYYY-MM-DD. Date filter combinations will act with AND logic on a single record. - `only_null_move_outs` (V1LeasesGetParametersOnlyNullMoveOuts, optional) — Filter to only return leases where the move-out date is null - `integration_vendor` (enum, optional) — The property management system of record - Allowed values: `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST` - `status_normalized` (enum, optional) — The normalized status for the lease - Allowed values: `ACTIVE`, `INACTIVE`, `OTHER`, `PENDING`, `EVICTED` - `status_raw` (string, optional) — The raw status associated with the lease - `unit_number` (string, optional) — The unit number of the lease. When using this, the Propexo `property_id` filter must be added as well. ## Response ### 200 Successful response - `meta` (ResponseMeta, required) - `results` (list of Lease, required) ## Errors ### 400 Bad Request Error Bad Request - `error` (ErrorResponseError, required) ## Types ### V1LeasesGetParametersOnlyNullMoveOuts Filter to only return leases where the move-out date is null ### ResponseMeta - `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results - `offset` (integer, optional) — The offset of the first result - `limit` (integer, optional) — The number of results to return - `hasMore` (boolean, optional, nullable) — Whether there are more results - `total` (integer, optional) — The total number of results ### Lease - `id` (string, required) — The Propexo unique identifier for the lease - `created_at` (string, required) — The date record first entered Propexo - `updated_at` (string, required) — The date record was last updated in Propexo - `last_seen` (string, required, nullable) — The date the record was last seen from the PMS - `x_id` (string, required) — The external ID from the integration vendor | Interface | Method | |---|---| | Receivables | /Receivables/GetAccounts | | Lead Management | /MITS/SearchProspects | | Leasing | /Leasing/GetProspectChanges | | Leasing (Partner API) | /Leasing/Leases | | Leasing (Partner API) | /Leasing/MoveOuts | | Leasing | /Leasing/GetApplicantsAndCurrentResidents | - `x_property_id` (string, required) — The external ID of the property from the integration vendor | Interface | Method | |---|---| | Receivables | /Receivables/GetAccounts | | Lead Management | /MITS/SearchProspects | | Leasing | /Leasing/GetProspectChanges | | Leasing (Partner API) | /Leasing/Leases | | Leasing (Partner API) | /Leasing/MoveOuts | | Leasing | /Leasing/GetApplicantsAndCurrentResidents | - `x_unit_id` (string, required, nullable) — The external ID of the unit from the integration vendor | Interface | Method | |---|---| | Leasing (Partner API) | /Leasing/Leases | | Leasing (Partner API) | /Leasing/MoveOuts | - `application_date` (string, required, nullable) — The application date associated with the lease | Interface | Method | |---|---| | Leasing (Partner API) | /Leasing/Leases | | Leasing (Partner API) | /Leasing/MoveOuts | - `custom_data` (LeaseCustomData, required, nullable) - `deposit_amount` (any, required) — The deposit amount associated with the leaseThis field will always be null for RESMAN - `deposit_amount_in_cents` (any, required) — The deposit amount in cents associated with the leaseThis field will always be null for RESMAN - `deposit_date` (any, required) — The deposit date associated with the leaseThis field will always be null for RESMAN - `end_date` (string, required, nullable) — The end date associated with the lease | Interface | Method | |---|---| | Leasing (Partner API) | /Leasing/Leases | | Leasing (Partner API) | /Leasing/MoveOuts | | Leasing | /Leasing/GetApplicantsAndCurrentResidents | - `rent_amount_in_cents` (double, required, nullable) — The rent amount in cents for the lease | Interface | Method | |---|---| | Leasing (Partner API) | /Leasing/Leases | | Leasing | /Leasing/GetApplicantsAndCurrentResidents | - `rent_amount_market_in_cents` (any, required) — The market rent amount in cents for the leaseThis field will always be null for RESMAN - `rent_due_day` (any, required) — The rent due day associated with the leaseThis field will always be null for RESMAN - `rent_due_date` (any, required) — The rent due date associated with the leaseThis field will always be null for RESMAN - `signature_date` (string, required, nullable) — The date the lease was signedThis data can only be retrieved from a high-volume endpoint. Please contact support if you need it enabled. | Interface | Method | | --------------------- | --------------------------- | | Lead Management | /MITS/SearchProspects | | Leasing | /Leasing/GetProspectChanges | | Leasing (Partner API) | /Leasing/Leases | | Leasing (Partner API) | /Leasing/MoveOuts | - `start_date` (string, required, nullable) — The start date associated with the leaseHistorical leases are available via the ResMan partner API upon request. Please contact [support@propexo.com](mailto:support@propexo.com) if needed | Interface | Method | | --------------------- | ----------------------------------------- | | Leasing (Partner API) | /Leasing/Leases | | Leasing (Partner API) | /Leasing/MoveOuts | | Leasing | /Leasing/GetApplicantsAndCurrentResidents | - `status_normalized` (enum, required) — The normalized status for the lease. Note that the status may be called "EVICTED" but this can also refer to an active resident undergoing a current eviction. This varies per PMS. | Interface | Method | |---|---| | Leasing (Partner API) | /Leasing/Leases | | Leasing (Partner API) | /Leasing/MoveOuts | | Leasing | /Leasing/GetApplicantsAndCurrentResidents | - Allowed values: `ACTIVE`, `INACTIVE`, `OTHER`, `PENDING`, `EVICTED` - `status_raw` (string, required, nullable) — The raw status associated with the lease | Interface | Method | |---|---| | Leasing (Partner API) | /Leasing/Leases | | Leasing (Partner API) | /Leasing/MoveOuts | | Leasing | /Leasing/GetApplicantsAndCurrentResidents | - `term` (any, required) — The lease termThis field will always be null for RESMAN - `type` (any, required) — The type of leaseThis field will always be null for RESMAN - `unit_number` (string, required, nullable) — The unit number associated with the lease. This isn't always provided by PMS vendors, but may be the only data provided to identify a unit associated with a service request in some cases. | Interface | Method | |---|---| | Leasing (Partner API) | /Leasing/Leases | | Leasing (Partner API) | /Leasing/MoveOuts | | Leasing | /Leasing/GetApplicantsAndCurrentResidents | - `write_off_amount_in_cents` (any, required) — The write off amount for the lease, in centsThis field will always be null for RESMAN - `write_off_amount_raw` (any, required) — The raw write off amount of the lease from the PMSThis field will always be null for RESMAN - `balance_amount_in_cents` (double, required, nullable) — The balance amount for the lease, in centsHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable. | Interface | Method | | ----------- | ------------------------ | | Receivables | /Receivables/GetAccounts | - `balance_amount_raw` (string, required, nullable) — The raw balance amount of the lease from the PMSHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable. | Interface | Method | | ----------- | ------------------------ | | Receivables | /Receivables/GetAccounts | - `past_due_balance_in_cents` (any, required) — The past due balance for the lease, in centsThis field will always be null for RESMAN - `past_due_balance_raw` (any, required) — The raw past due balance of the lease from the PMSThis field will always be null for RESMAN - `unit_id` (any, required) — The Propexo unique identifier for the unitThis field will always be null for RESMAN - `property_id` (string, required) — The Propexo unique identifier for the property - `integration_id` (string, required) — The Propexo unique identifier for the integration - `integration_vendor` (enum, required) — The property management system of record - Allowed values: `RESMAN`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `YARDI`, `YARDI_REST` - `services` (list of LeaseServicesItems, required) — List of services related to the leaseThis field is not currently hydrated for RESMAN - `x_resident_id` (any, required, deprecated) — Deprecated. Use residents\_meta\_data insteadThis field will always be null for RESMAN - `realized_move_in_date` (string, required, nullable, deprecated) — DEPRECATED: Please use residents_meta_data to view resident move in dates | Interface | Method | |---|---| | Leasing | /Leasing/GetProspectChanges | | Leasing (Partner API) | /Leasing/Leases | | Leasing (Partner API) | /Leasing/MoveOuts | - `realized_move_out_date` (string, required, nullable, deprecated) — DEPRECATED: Please use residents_meta_data to view resident move out dates | Interface | Method | |---|---| | Leasing (Partner API) | /Leasing/Leases | | Leasing (Partner API) | /Leasing/MoveOuts | - `scheduled_move_in_date` (string, required, nullable, deprecated) — DEPRECATED: Please use residents_meta_data to view resident move in dates | Interface | Method | |---|---| | Leasing | /Leasing/GetProspectChanges | | Leasing (Partner API) | /Leasing/Leases | | Leasing (Partner API) | /Leasing/MoveOuts | - `scheduled_move_out_date` (string, required, nullable, deprecated) — DEPRECATED: Please use residents_meta_data to view resident move out dates | Interface | Method | |---|---| | Leasing (Partner API) | /Leasing/Leases | | Leasing (Partner API) | /Leasing/MoveOuts | - `status` (any, required, deprecated) — DEPRECATED. Use status\_normalizedDeprecated in favor of status\_normalized and status\_raw Deprecated: see status\_normalized and status\_rawThis field will always be null for RESMAN - `residents_meta_data` (list of LeaseResidentsMetaDataItems, optional) — Known associated resident meta data ### ErrorResponseError - `code` (string, required) - `message` (string, required) - `details` (map from string to any, optional) ### ResponseMetaOrderByItems ### LeaseCustomData ### LeaseServicesItems - `id` (string, required) — The Propexo unique identifier for the lease service - `created_at` (string, required) — The date record first entered Propexo - `updated_at` (string, required) — The date record was last updated in Propexo - `last_seen` (string, required) — The date the record was last seen from the PMS - `name` (string, required) — The name of the lease serviceThis field is not currently hydrated for RESMAN - `lease_id` (string, required) — The Propexo unique identifier for the leaseThis field is not currently hydrated for RESMAN ### LeaseResidentsMetaDataItems - `resident_id` (string, required) — The Propexo unique identifier for the resident | Interface | Method | |---|---| | Leasing | /Leasing/GetProspectChanges | | Leasing (Partner API) | /Leasing/Leases | | Leasing (Partner API) | /Leasing/MoveOuts | | Residents | /MITS/SearchProspects, /Receivables/GetAccounts | | Leasing | /Leasing/GetApplicantsAndCurrentResidents | - `x_resident_type` (string, required, nullable) — The external type of the resident from the integration vendorThis field is only available from ResMan for the current lease and is not available on future leases. | Interface | Method | | --------- | ----------------------------------------- | | Leasing | /Leasing/GetApplicantsAndCurrentResidents | - `resident_type_normalized` (LeaseResidentsMetaDataItemsResidentTypeNormalized, required, nullable) — Resident type from PropexoThis field is only available from ResMan for the current lease and is not available on future leases. | Interface | Method | | --------- | ----------------------------------------- | | Leasing | /Leasing/GetApplicantsAndCurrentResidents | - `move_in_date` (string, required, nullable) — The move-in date associated with the resident | Interface | Method | |---|---| | Leasing (Partner API) | /Leasing/Leases | | Leasing (Partner API) | /Leasing/MoveOuts | | Leasing | /Leasing/GetApplicantsAndCurrentResidents | - `move_out_date` (string, required, nullable) — The move-out date associated with the resident | Interface | Method | |---|---| | Leasing (Partner API) | /Leasing/Leases | | Leasing (Partner API) | /Leasing/MoveOuts | | Leasing | /Leasing/GetApplicantsAndCurrentResidents | - `notice_date` (string, required, nullable) — The date the resident gave notice | Interface | Method | |---|---| | Leasing | /Leasing/GetProspectChanges | - `custom_data` (LeaseResidentsMetaDataItemsCustomData, required, nullable) - `last_seen` (string, required, nullable) — The date the record was last seen from the PMS ### LeaseResidentsMetaDataItemsResidentTypeNormalized Resident type from PropexoThis field is only available from ResMan for the current lease and is not available on future leases. | Interface | Method | | --------- | ----------------------------------------- | | Leasing | /Leasing/GetApplicantsAndCurrentResidents | ### LeaseResidentsMetaDataItemsCustomData ## Examples **Response** ```json { "meta": { "orderBy": [ {} ], "offset": 0, "limit": 100, "hasMore": true, "total": 1000 }, "results": [ { "id": "clwktsp9v000008l31iv218hn", "created_at": "2024-03-21T15:38:08.337Z", "updated_at": "2024-03-22T10:59:45.119Z", "last_seen": "2024-03-22T10:59:45.119Z", "x_id": "f526684a-e2c3-4425-bc65-559fa015fd5b", "x_property_id": "ae9994dd-846f-4466-9752-306df25f7882", "x_unit_id": "7c5d3a37-2715-4cad-84d6-8d34d47b752d", "application_date": "2024-01-01T00:00:00Z", "custom_data": {}, "deposit_amount": null, "deposit_amount_in_cents": null, "deposit_date": null, "end_date": "2024-01-01T00:00:00Z", "rent_amount_in_cents": 100000, "rent_amount_market_in_cents": null, "rent_due_day": null, "rent_due_date": null, "signature_date": "2024-01-02T00:00:00.000Z", "start_date": "2024-01-01T00:00:00Z", "status_normalized": "ACTIVE", "status_raw": "Current", "term": null, "type": null, "unit_number": "14", "write_off_amount_in_cents": null, "write_off_amount_raw": null, "balance_amount_in_cents": 100000, "balance_amount_raw": "string", "past_due_balance_in_cents": null, "past_due_balance_raw": null, "unit_id": null, "property_id": "clwi5xiix000008l6ctdgafyh", "integration_id": "clwh5u07w000508me66sfh3um", "integration_vendor": "RESMAN", "services": [ { "id": "clwktsp9v000008l31iv218hn", "created_at": "2024-03-21T15:38:08.337Z", "updated_at": "2024-03-22T10:59:45.119Z", "last_seen": "2024-03-22T10:59:45.119Z", "name": "string", "lease_id": "string" } ], "x_resident_id": null, "realized_move_in_date": "string", "realized_move_out_date": "string", "scheduled_move_in_date": "string", "scheduled_move_out_date": "string", "status": null, "residents_meta_data": [ { "resident_id": "clyq4plkc0002ysoz5y4r9o2y", "x_resident_type": "Head of Household", "resident_type_normalized": "PRIMARY", "move_in_date": "2024-11-22", "move_out_date": "2025-11-22", "notice_date": "2024-03-21T00:00:00.000Z", "custom_data": {}, "last_seen": "2024-03-22T10:59:45.119Z" } ] } ] } ``` **SDK Code** ```python import requests url = "https://api.propexo.com/v1/leases/" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.propexo.com/v1/leases/'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.propexo.com/v1/leases/" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.propexo.com/v1/leases/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.propexo.com/v1/leases/") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.propexo.com/v1/leases/', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.propexo.com/v1/leases/"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/leases/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```